//\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\
//
// WFX satellite library | Author: Sergei Y.Kitáev
//
//~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
using System;

using WF = System.Windows.Forms;

using CommonHelpers;

namespace WFX {

//**************************************************************************************************
partial class MessageBox {
//~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~

public static void ShowWarning(string text)
{
   ShowWarning((WF.IWin32Window)null,text);
}

public static WF.DialogResult ShowWarning(string text,WF.MessageBoxButtons buttons)
{
   return ShowWarning((WF.IWin32Window)null,text,buttons);
}

public static WF.DialogResult ShowWarning( string text,
                                           WF.MessageBoxButtons buttons,
                                           WF.DialogResult defaultResult )
{
   return ShowWarning((WF.IWin32Window)null,text,buttons,defaultResult);
}

//--------------------------------------------------------------------------------------------------

public static void ShowWarning(string text,[HOptional] string caption)
{
   ShowWarning((WF.IWin32Window)null,text,caption);
}

public static WF.DialogResult ShowWarning( string text, [HOptional] string caption,
                                           WF.MessageBoxButtons buttons )
{
   return ShowWarning((WF.IWin32Window)null,text,caption,buttons);
}

public static WF.DialogResult ShowWarning( string text,
                                           [HOptional] string caption,
                                           WF.MessageBoxButtons buttons,
                                           WF.DialogResult defaultResult )
{
   return ShowWarning((WF.IWin32Window)null,text,caption,buttons,defaultResult);
}

//==================================================================================================

public static void ShowWarning([HOptional] WF.IWin32Window owner,string text)
{
   ShowWarning((ShowMessageExtraInfo)null,owner,text);
}

public static WF.DialogResult ShowWarning( [HOptional] WF.IWin32Window owner,
                                           string text, WF.MessageBoxButtons buttons )
{
   return ShowWarning((ShowMessageExtraInfo)null,owner,text,buttons);
}

public static WF.DialogResult ShowWarning( [HOptional] WF.IWin32Window owner,
                                           string text, WF.MessageBoxButtons buttons,
                                           WF.DialogResult defaultResult )
{
   return ShowWarning((ShowMessageExtraInfo)null,owner,text,buttons,defaultResult);
}

//--------------------------------------------------------------------------------------------------

public static void ShowWarning( [HOptional] WF.IWin32Window owner,
                                string text, [HOptional] string caption )
{
   ShowWarning((ShowMessageExtraInfo)null,owner,text,caption);
}

public static WF.DialogResult ShowWarning( [HOptional] WF.IWin32Window owner,
                                           string text, [HOptional] string caption,
                                           WF.MessageBoxButtons buttons )
{
   return ShowWarning((ShowMessageExtraInfo)null,owner,text,caption,buttons);
}

public static WF.DialogResult ShowWarning( [HOptional] WF.IWin32Window owner,
                                           string text, [HOptional] string caption,
                                           WF.MessageBoxButtons buttons,
                                           WF.DialogResult defaultResult )
{
   return ShowWarning((ShowMessageExtraInfo)null,owner,text,caption,buttons,defaultResult);
}

//~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
} // MessageBox
//**************************************************************************************************

} // WFX
